Skip to main content

Update a restricted zone

PATCH 

/v1/restricted-zones/:id

Update an existing restricted zone by ID

Request

Path Parameters

    id stringrequired

    Restricted zone ID

Body

required
    zoneName string
    geo object
    type stringrequired
    coordinates number[]required

    Array of rings for the polygon. Each ring is an array of [longitude, latitude] pairs. The first and last point must be the same.

Responses

Restricted zone updated successfully

Schema
    _id stringrequired

    The ID of the restricted zone

    activate booleanrequired

    Whether the restricted zone is active

    createdDate date-timerequired

    The created date of the restricted zone

    latestUpdate date-timerequired

    The latest update date of the restricted zone

Loading...